## org.h2.engine
Class QueryStatisticsData.QueryEntry

    java.lang.Object
      org.h2.engine.QueryStatisticsData.QueryEntry

Enclosing class:
  QueryStatisticsData

    public static final class QueryStatisticsData.QueryEntry

extends java.lang.Object

The collected statistics for one query.

Field Summary
`int` `count` The number of times the statement was executed.
`long` `executionTimeCumulative` The total execution time.
`long` `executionTimeMax` The maximum execution time, in milliseconds.
`double` `executionTimeMean` The mean execution time.
`long` `executionTimeMin` The minimum execution time, in milliseconds.
`long` `lastUpdateTime` The last time the statistics for this entry were updated, in milliseconds since 1970.
`long` `rowCountCumulative` The total number of rows.
`int` `rowCountMax` The maximum number of rows.
`double` `rowCountMean` The mean number of rows.
`int` `rowCountMin` The minimum number of rows.
`java.lang.String` `sqlStatement` The SQL statement.

Constructor Summary
`QueryStatisticsData.QueryEntry()`

Method Summary
`double` `getExecutionTimeStandardDeviation()`
`double` `getRowCountStandardDeviation()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sqlStatement

    public java.lang.String sqlStatement

  The SQL statement.

### count

    public int count

  The number of times the statement was executed.

### lastUpdateTime

    public long lastUpdateTime

  The last time the statistics for this entry were updated, in milliseconds since 1970.

### executionTimeMin

    public long executionTimeMin

  The minimum execution time, in milliseconds.

### executionTimeMax

    public long executionTimeMax

  The maximum execution time, in milliseconds.

### executionTimeCumulative

    public long executionTimeCumulative

  The total execution time.

### rowCountMin

    public int rowCountMin

  The minimum number of rows.

### rowCountMax

    public int rowCountMax

  The maximum number of rows.

### rowCountCumulative

    public long rowCountCumulative

  The total number of rows.

### executionTimeMean

    public double executionTimeMean

  The mean execution time.

### rowCountMean

    public double rowCountMean

  The mean number of rows.

Constructor Detail

### QueryStatisticsData.QueryEntry

    public QueryStatisticsData.QueryEntry()

Method Detail

### getExecutionTimeStandardDeviation

    public double getExecutionTimeStandardDeviation()

### getRowCountStandardDeviation

    public double getRowCountStandardDeviation()